Permalink
Browse files

Remove fastercsv from gemspec, since it won't install on the Heroku c…

…edar stack
  • Loading branch information...
1 parent 8256083 commit 440213ac172fe5cfb7162f8c17633a7d7b2b68e5 @sferik committed Aug 9, 2011
Showing with 6 additions and 4 deletions.
  1. +4 −1 Gemfile
  2. +2 −2 README.md
  3. +0 −1 rails_admin.gemspec
View
@@ -4,7 +4,6 @@ source 'http://rubygems.org'
# put test-only gems in this group so their generators
# and rake tasks are available in development mode:
group :development, :test do
- gem 'rails', '~> 3.1.0.rc5'
platforms :jruby do
gem 'jruby-openssl', '~> 0.7'
# activerecord-jdbc-adapter does not yet have a rails 3.1 compatible release
@@ -51,4 +50,8 @@ group :debug do
end
end
+platforms :ruby_18 do
+ gem 'fastercsv', '~> 1.5.4'
+end
+
gemspec
View
@@ -11,11 +11,10 @@ The master branch has been fast-forwared to rails-3.1 branch. Please test it, re
A Rails-3.0 branch has been created for legacy purpose, *update your Gemfile* for your app in production!
Please consider upgrading your app to the latest Rails-3.1 RC as soon as possible to retain compatibility
with latest RailsAdmin improvements.
-Don't forget to activate the new asset pipeline in application.rb if you are updating from a Rails 3.0 application:
+Don't forget to activate the new asset pipeline in application.rb if you are updating from a Rails 3.0 application:
config.assets.enabled = true
-
RailsAdmin started as a port of [MerbAdmin](https://github.com/sferik/merb-admin) to Rails 3
and was implemented as a [Ruby Summer of Code project](http://www.rubysoc.org/projects)
by [Bogdan Gaza](https://github.com/hurrycane) with mentors [Erik Michaels-Ober](https://github.com/sferik),
@@ -136,6 +135,7 @@ Installation
------------
In your `Gemfile`, add the following dependencies:
+ gem 'fastercsv' # Only required on Ruby 1.8 and below
gem 'devise' # Devise must be required before RailsAdmin
gem 'rails_admin', :git => 'git://github.com/sferik/rails_admin.git'
View
@@ -15,7 +15,6 @@ Gem::Specification.new do |gem|
gem.add_development_dependency 'yard', '~> 0.7'
gem.add_development_dependency 'ZenTest', '~> 4.5'
gem.add_runtime_dependency 'builder', '~> 3.0.0'
- gem.add_runtime_dependency 'fastercsv', '~> 1.5.4'
gem.add_runtime_dependency 'haml', ['>= 3.1.0', '< 3.3.0']
gem.add_runtime_dependency 'rails', '~> 3.1.0.rc1'
gem.authors = ["Erik Michaels-Ober", "Bogdan Gaza", "Petteri Kääpä"]

0 comments on commit 440213a

Please sign in to comment.